% Meshless Finite Difference Method (MFDM) Toolbox
% for analysis of the 2D torsion problem in prismatic bar
% Version 1.4 (R2008b) 06-Jun-2012
%
% star.m                - source code of the MFD star generation procedure, 
%                           based on the distance criterion
% localMFDM.m           - source code of the MFDM solution approach 
%                           for problem posed in local formulation
% varMFDM.m             - source code of the MFDM solution approach 
%                           for problem posed in variational (Galerkin) 
%                           formulation
% postprocessingMFDM.m	- source code for the postprocessing based on 
%                           the MFDM results and MWLS approximation technique
% railroadrailDATA.txt  - required data for the MFDM analysis 
%                           of the railroad rail
% mwls.m                - the function file which contains the MWLS procedure 
%                           in order to obtain the difference formulas for 
%                           subsequent derivatives on the basis of the  m  star 
%                           nodes, approximation order (p) and 
%                           smoothing parameter (g)
% Demonstrations
% TEST.m  -  the script file which runs all m-files, in which the 
% 			   discretization of the domain is prepared, dependently 
% 			   on the task type (variable: task) and problem 
% 			   formulation (variable: formulation)
%
% Last Revision: 06-Jun-2012
% Copyright by Sawomir Milewski, Cracow University of Technology,
% slawek@L5.pk.edu.pl



